GNU logs - #50581, boring messages


Message sent to michael.albinus@HIDDEN, uyennhi.qm@HIDDEN, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50581: 27.2.50; Tramp fails to (un)compress directories
Resent-From: Tino Calancha <tino.calancha@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: michael.albinus@HIDDEN, uyennhi.qm@HIDDEN, bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 14 Sep 2021 12:54:01 +0000
Resent-Message-ID: <handler.50581.B.1631624029301 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 50581 <at> debbugs.gnu.org
Cc: michael.albinus@HIDDEN, uyennhi.qm@HIDDEN
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
X-Debbugs-Original-Xcc: michael.albinus@HIDDEN, uyennhi.qm@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.1631624029301
          (code B ref -1); Tue, 14 Sep 2021 12:54:01 +0000
Received: (at submit) by debbugs.gnu.org; 14 Sep 2021 12:53:49 +0000
Received: from localhost ([127.0.0.1]:47918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ7wb-0008WT-8a
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 08:53:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:41682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1mQ7wZ-0008WL-3q
 for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 08:53:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35526)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tino.calancha@HIDDEN>)
 id 1mQ7wY-0006pE-Rc
 for bug-gnu-emacs@HIDDEN; Tue, 14 Sep 2021 08:53:46 -0400
Received: from mail-wm1-x336.google.com ([2a00:1450:4864:20::336]:35465)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <tino.calancha@HIDDEN>)
 id 1mQ7wX-00046p-9n
 for bug-gnu-emacs@HIDDEN; Tue, 14 Sep 2021 08:53:46 -0400
Received: by mail-wm1-x336.google.com with SMTP id
 z184-20020a1c7ec1000000b003065f0bc631so2033013wmc.0
 for <bug-gnu-emacs@HIDDEN>; Tue, 14 Sep 2021 05:53:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=knOb0C0Frx/bh4rH/bs6l7ii7Cn8ct9yg7JpNsiWXoo=;
 b=ad9NL1sYz/VQneCOlZ59RPSl2nNedxNON9B6B4VP1ee36lv9BnP0c985cPDNRX9s/Q
 haHS949S+wwWtXaQY1vfFtGVEVJbUxLjKODlTCWaGpNMeh84mGxO4Oyl9Zq4U27F1LLS
 Yc8CL6HrnUvCguNZGl0xjMlB3lB+b2M2l1n7CNhSPfjBcAHddO+qbCpTL1mqML7cihvi
 xwjnt9tNoQJH/sxt4U7uBJyMw7fFPlJTZSTbkCdDnWuxCLOJiCy0rKmRhsJKsute7xXc
 lawRDTTCzINtTt4tMyTIyx6kaEp24F1yp89BDAe7krjQ0ZkUSFKFGapiyri4HTCwlORw
 HxGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=knOb0C0Frx/bh4rH/bs6l7ii7Cn8ct9yg7JpNsiWXoo=;
 b=njjSLDMV+I79cWsIH3SqosBG3ruNzRbKt93rJzIiXe+8twjCM7bV0IdD/kNnNMlJDi
 HRvXptV2bblkFSgbZVIn+3La3uOamR1UT0HUniRu3Mqe3TIITMferJGIphM4qHRt62Fc
 3M/q1Lurlt94GAHFZr+aiM6scmaD6rDsRo4dHaqgkAzuzzgmHSD0aEbGp+ktcy0VgtUz
 zs2BaOEd+ttUZjVqcwvMxg46pXe5frTe+QcnPz9q7EqS0hOazDmVOO9FCAyGXuhvT0Wb
 Txq+VCbO62uGcZxLF2sSLZB+cTvIDZ7lSC79m1nDokGJweN2kk1iRLfh6q9SInpw3OFw
 DzLw==
X-Gm-Message-State: AOAM531nmH71VjFhjZbLr+H3vq+Q0Hf07+nNuo3qrupkZZ/19RU2fjXY
 sYMKzH5d55x/4KKbP+cuNeVYIVNyQqc=
X-Google-Smtp-Source: ABdhPJy35zuhOlB9lqaV0Xt4TP1qnTGNPuvL/kf1VglqjBP6pjW95cYXg2RUJBVfeL6tC1JKLL74/Q==
X-Received: by 2002:a7b:cb04:: with SMTP id u4mr2104899wmj.18.1631624023106;
 Tue, 14 Sep 2021 05:53:43 -0700 (PDT)
Received: from localhost.example.com (nat1.prg.suse.com. [195.250.132.148])
 by smtp.gmail.com with ESMTPSA id u26sm10838643wrd.32.2021.09.14.05.53.42
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 14 Sep 2021 05:53:42 -0700 (PDT)
From: Tino Calancha <tino.calancha@HIDDEN>
Date: Tue, 14 Sep 2021 14:53:41 +0200
Message-ID: <87o88vco8a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a00:1450:4864:20::336;
 envelope-from=tino.calancha@HIDDEN; helo=mail-wm1-x336.google.com
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 FREEMAIL_REPLY=1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, WEIRD_QUOTING=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.3 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

X-Debbugs-Cc: michael.albinus@HIDDEN, uyennhi.qm@HIDDEN

Hi Michael,

AFAICS, it only fails for the case of directories (normal files are handled=
 fine).

### Emacs -Q recipe ###

$ src/emacs -Q /sudo::/tmp
+ foo RET
Z

;; Failed to (un)compress /sudo:root@HIDDEN:/tmp/tramp-test/=
foo




In GNU Emacs 27.2.50 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw scroll b=
ars)
 of 2021-09-14 built on localhost.example.com
Repository revision: d7f4cc0974645cc6a295740afe85c6e21d956119
Repository branch: emacs-27
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: openSUSE Tumbleweed

Recent messages:
Tramp: Opening connection for root@HIDDEN using sudo...
Tramp: Sending command =E2=80=98exec sudo -u root -s -H -p P""a""s""s""w""o=
""r""d"": /bin/sh =E2=80=99
Tramp: Waiting for prompts from remote shell...
Tramp: Sending Password
Tramp: Waiting for prompts from remote shell...done
Tramp: Found remote shell prompt on =E2=80=98localhost.example.com=E2=80=99
Tramp: Opening connection for root@HIDDEN using sudo...done
Compress or uncompress foo? (y or n) y
Compressing /sudo:root@HIDDEN:/tmp/foo...done
Failed to (un)compress /sudo:root@HIDDEN:/tmp/foo

Configured using:
 'configure --with-x-toolkit=3Dlucid'

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ XFT ZLIB TOOLKIT_SCROLL_BARS
LUCID X11 XDBE XIM MODULES THREADS PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Dired by name

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny rfc822 mml easymenu
mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils dired-aux dired dired-loaddefs tramp-cache
tramp-sh tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat shell pcomplete comint ansi-color ring parse-time iso8601
time-date ls-lisp format-spec auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs cl-loaddefs cl-lib password-cache json subr-x map
seq byte-opt gv bytecomp byte-compile cconv tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 67680 8068)
 (symbols 48 8193 1)
 (strings 32 25787 2051)
 (string-bytes 1 907396)
 (vectors 16 14425)
 (vector-slots 8 183921 10206)
 (floats 8 42 32)
 (intervals 56 701 289)
 (buffers 1000 14))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: bug#50581: Acknowledgement (27.2.50; Tramp fails to (un)compress
 directories)
Message-ID: <handler.50581.B.1631624029301.ack <at> debbugs.gnu.org>
References: <87o88vco8a.fsf@HIDDEN>
X-Gnu-PR-Message: ack 50581
X-Gnu-PR-Package: emacs
Reply-To: 50581 <at> debbugs.gnu.org
Date: Tue, 14 Sep 2021 12:54:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

As you requested using X-Debbugs-CC, your message was also forwarded to
  michael.albinus@HIDDEN, uyennhi.qm@HIDDEN
(after having been given a bug report number, if it did not have one).

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 50581 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50581: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50581
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50581: 27.2.50; Tramp fails to (un)compress directories
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 14 Sep 2021 18:44:02 +0000
Resent-Message-ID: <handler.50581.B50581.163164500629476 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Tino Calancha <tino.calancha@HIDDEN>
Cc: uyennhi.qm@HIDDEN, 50581 <at> debbugs.gnu.org
Received: via spool by 50581-submit <at> debbugs.gnu.org id=B50581.163164500629476
          (code B ref 50581); Tue, 14 Sep 2021 18:44:02 +0000
Received: (at 50581) by debbugs.gnu.org; 14 Sep 2021 18:43:26 +0000
Received: from localhost ([127.0.0.1]:50175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQDOw-0007fM-6y
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 14:43:26 -0400
Received: from mout.gmx.net ([212.227.15.19]:47731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mQDOu-0007fA-P7
 for 50581 <at> debbugs.gnu.org; Tue, 14 Sep 2021 14:43:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1631644998;
 bh=Oml686rdCwBYiHHSqlHv3wzVR+jiYivAl2KgULKp5oM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=L53cq7r+WabTqM11XdwANlhLdp+62uWaCU+QNK1vbpl6beTy7QAYPIa39q+Ml2lpg
 /qheNZuNmgsdGxxTh5Q/iSEzdwNEZl9uR4ADfxsq4ykTmLvNYVhXouVn71cKTNyM0f
 qnTgYCr2JUayj43Z8iOXzTUjN7oVhdRsr3ipdQjM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.118.25]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MNKhs-1mFhvz3nJK-00OpMf; Tue, 14
 Sep 2021 20:43:18 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
References: <87o88vco8a.fsf@HIDDEN>
Date: Tue, 14 Sep 2021 20:43:17 +0200
In-Reply-To: <87o88vco8a.fsf@HIDDEN> (Tino Calancha's message of "Tue, 14
 Sep 2021 14:53:41 +0200")
Message-ID: <87sfy7ov5m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:j0RXELEeDmbOlbPI21Ekv8Xc83/h8em+9gpfqIui6CTACNp05Cu
 t9ebGCQe8jW3iAaIyMaaDoyYfK9PGpqa+cL3r5Hn6VYFMJJvnPHbbDMQrWSV9YdADDH42lY
 EXDdgeT3HmKtG1OjxMe1MZPT+6fYq5WBiczOU2Ut8WAalJGjrgqv2SKG3tY0wdaJR6K9F9a
 K+S5PaGvVSYyuyky8D/Hw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ivg8vYbiPTE=:PdFDbUi41vW0OWQw+nZAmr
 pzMQQgr5H6LbzYMKRGKqhMJOV6sJOnkSXMY7eS3CUozj03tN6hFyS59bmeCo1hGsZM1OGQA+p
 mE27++TK7tigLySXxiZV2DZS4HRCA4QttCh3rEW6ZOLjnXKTr+OW0SRnilS7tF3q4s+i5HfBZ
 FKJcQeIgP7UQ9P1ULr3xCBk7JphVIs0hWX0NA7FjB0rNwEmaOji2rjACVfcIJ4F+k1SM9k6Ab
 5AiOQMV18ewvhCtR5MqS42jcxZCDhF8RNWXutgfavRpKF3ZWo778DgmsVNKkh3IQo508RqQ+8
 81fdE4b3T70tZImrj6K2rQzsiY1DjIdI09utDUKNvxq6ccV1CnL3mnI2QDnyjWjpqtlysE+Pe
 LRk3ILGV4+tD53VpUozU9GZj0r7l5zhTrJRU0csNNeeXazAzASDE4Kl6R5MWVmiqDrUMU3iJO
 xFnoj1z2RPqpPmmS0eH6/r+yVBhheSzMyBFCX39iYzZAupWTK6WMsh532unWQWf18uI6uJE5m
 e6mxhxh9I3TBBVuIyfAdsgEBgQ/fV2MQntVtDcTCblkl/4pnvQBrr7Xhz2ZAhiXrdl0alsVQj
 UHPAEfXY94KHUHBR37OiTttnB5gSSp0w9H3bxaCuxaxpMlGRSUVF9q1aNbOyDAiDPJGZAO5KT
 o50R+y6rAnGWiJl/1T6i223rWeICCjiAaNLLwRhh+SPX6B/RYIsPUB1u4+FnBCRlgdMry6irz
 m2V/uIHmZJsVNXA7qmEU/PtrKEq8AwHemGMH7E7+VTGVyBhmhABjapHlAiOAdfHrNBqU1knp1
 M8zY1SsijoxUr8CYqZ8ey+avtqhZ2Vgj/d1Nu6yGUtyK/Ogh966cyJh4zWSOg+QC2MzzvoFw8
 QCJLFGdvNjwljiKX4VScpgC6ueo5W27c4EH1vEDBgJACtFmOdkjO0WDJGGbA51qrlW4KaEd5x
 p7SFnFpVf+RNgnSJE2FzNaSUkdmwcq9vJUvWTO2NvY/qC2BSF6/AUXV5mu4rpWOS4UdLzXwQy
 NpvzzEsxudi/uUeASokVJ46q0meQqE3hauHCBF2EySAKAYsxSkZyeF8XG0JAR+lS8VbIuC7gy
 X+IF/wfaaKFWg0=
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> Hi Michael,

Hi Tino,

> AFAICS, it only fails for the case of directories (normal files are handled fine).
>
> ### Emacs -Q recipe ###
>
> $ src/emacs -Q /sudo::/tmp
> + foo RET
> Z
>
> ;; Failed to (un)compress /sudo:root@HIDDEN:/tmp/tramp-test/foo

Indeed, the directory case is not implemented in tramp-sh-handle-dired-compress-file.
I will see how to implement it next time.

Thanks for the report, and best regards, Michael.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50581: 27.2.50; Tramp fails to (un)compress directories
Resent-From: Tino Calancha <tino.calancha@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Sep 2021 16:51:01 +0000
Resent-Message-ID: <handler.50581.B50581.163207025328620 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Michael Albinus <michael.albinus@HIDDEN>
Cc: uyennhi.qm@HIDDEN, 50581 <at> debbugs.gnu.org
Received: via spool by 50581-submit <at> debbugs.gnu.org id=B50581.163207025328620
          (code B ref 50581); Sun, 19 Sep 2021 16:51:01 +0000
Received: (at 50581) by debbugs.gnu.org; 19 Sep 2021 16:50:53 +0000
Received: from localhost ([127.0.0.1]:39742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mS01l-0007RY-Et
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 12:50:53 -0400
Received: from mail-ed1-f49.google.com ([209.85.208.49]:37465)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1mS01j-0007RJ-3j
 for 50581 <at> debbugs.gnu.org; Sun, 19 Sep 2021 12:50:52 -0400
Received: by mail-ed1-f49.google.com with SMTP id bx4so6314093edb.4
 for <50581 <at> debbugs.gnu.org>; Sun, 19 Sep 2021 09:50:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=1Pn4KBSdZI22xWerEarGIJ0VlFRA794JLMcyItEBXBA=;
 b=ow0Eu3fA0Zxv1sDnMRg2tCPVp1TlTMNAp9e4duE4kMq7d6PPc/VLtDJuwca0NjzmKK
 vpGpTRLetcF9qlWrn47OEwmTCKayZE0N2cdqdKRYXnFjBbs7dvWaTVJKe+af1cI/CMfw
 JXFH5/KPnkC8QrHEe6AUScMlI/ssPSp0/JdvAXqDfippjWduld77Jh1S8gdb2mZ/M5gD
 TAXTT6FNVXEBrtserkx7lvAWA1+CRl5VJ576Y4IG9Zlxf3WF9QQ7U12As1A4C3v8YRwX
 D84ioNOkBFyFWcWVBUI0Xie6Lx4uUyDaBCdxGosvecJfUC+woDPRa26c6frQ08ynE0Iu
 uDCg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=1Pn4KBSdZI22xWerEarGIJ0VlFRA794JLMcyItEBXBA=;
 b=Lhi61pn7Og+dJTOUr7ABayxuVAw/M8lbiN0VjaRNbf/5Jqp05mmRBnytudGr9Ure5P
 QX5To4iG5eMK6uij/Bspg27ydq/kU0jidbvqj+nfXnzrRbgs5/DG0e4d6IOccfW2l6TJ
 V3EldtzM5qhmrvFi1ydD5Em1i0yqUdVmKcNqZlGjpCnr6MJ/Jmf5mZYsT2dwCswQCpzp
 NP4MZ4yrMp5kJYMLeN7YrLU731YFflmYOPPBK5d+7YurxiZ6LKVD1uOruyW3V6bUYgSc
 MRQfDvjgtUvZydO6tK0APz+CSVyrW4eJqH2PUVbURuwqg2I9qBMAw/zG0ttCL+XS6aDh
 jUhQ==
X-Gm-Message-State: AOAM531Ymkw6MOh+DbAQ+g+lOdRwUu4iSwL0AZKVE/JyTnbPWWop0M8k
 vs6HpFUP/adPc9JBVau9SE8/SrEFPfwBHuox
X-Google-Smtp-Source: ABdhPJzBvz9+JzcmiuHqCrKlq2nO2SemIsgd25IzpL2XKEyMvjUZVBBNdxws/6o0MiouG7nZs7o27w==
X-Received: by 2002:a50:9b52:: with SMTP id a18mr24599238edj.165.1632070245244; 
 Sun, 19 Sep 2021 09:50:45 -0700 (PDT)
Received: from calancha-pc.dy.bbexcite.jp ([193.118.249.171])
 by smtp.gmail.com with ESMTPSA id s6sm304434edx.96.2021.09.19.09.50.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 19 Sep 2021 09:50:43 -0700 (PDT)
From: Tino Calancha <tino.calancha@HIDDEN>
References: <87o88vco8a.fsf@HIDDEN> <87sfy7ov5m.fsf@HIDDEN>
Date: Sun, 19 Sep 2021 18:50:38 +0200
In-Reply-To: <87sfy7ov5m.fsf@HIDDEN> (Michael Albinus's message of "Tue, 14
 Sep 2021 20:43:17 +0200")
Message-ID: <87wnnc7bmp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Michael Albinus writes: > Indeed, the directory case is not
 implemented in tramp-sh-handle-dired-compress-file. > I will see how to
 implement
 it next time. I have mimic what `dired-compress-file' does: it checks if
 the file is a directory. 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [193.118.249.171 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (tino.calancha[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.208.49 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.49 listed in wl.mailspike.net]
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Michael Albinus writes: > Indeed, the directory case is not
    implemented in tramp-sh-handle-dired-compress-file. > I will see how to implement
    it next time. I have mimic what `dired-compress-file' does: it checks if
   the file is a directory. 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.208.49 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [193.118.249.171 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.208.49 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (tino.calancha[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Michael Albinus <michael.albinus@HIDDEN> writes:

> Indeed, the directory case is not implemented in tramp-sh-handle-dired-compress-file.
> I will see how to implement it next time.

I have mimic what `dired-compress-file' does: it checks if the
file is a directory.

--8<-----------------------------cut here---------------start------------->8---
diff --git a/lisp/net/tramp-sh.el b/lisp/net/tramp-sh.el
index fbb122e721..54256253b1 100644
--- a/lisp/net/tramp-sh.el
+++ b/lisp/net/tramp-sh.el
@@ -2498,9 +2498,13 @@ tramp-sh-handle-dired-compress-file
 	     (with-tramp-progress-reporter
                  v 0 (format "Uncompressing %s" file)
 	       (when (tramp-send-command-and-check
-		      v (concat (nth 2 suffix) " "
-				(tramp-shell-quote-argument localname)))
-		 (dired-remove-file file)
+		      v (if (string-match-p "%[io]" (nth 2 suffix))
+                          (replace-regexp-in-string
+                           "%i" (tramp-shell-quote-argument localname)
+                           (nth 2 suffix))
+                      (concat (nth 2 suffix) " " (tramp-shell-quote-argument localname))))
+		 (unless (string-match-p "\\.tar\\.gz" file)
+                   (dired-remove-file file))
 		 (string-match (car suffix) file)
 		 (concat (substring file 0 (match-beginning 0))))))
 	    (t
@@ -2508,14 +2512,19 @@ tramp-sh-handle-dired-compress-file
 	     ;; Try gzip.
 	     (with-tramp-progress-reporter v 0 (format "Compressing %s" file)
 	       (when (tramp-send-command-and-check
-		      v (concat "gzip -f "
-				(tramp-shell-quote-argument localname)))
-		 (dired-remove-file file)
-		 (cond ((file-exists-p (concat file ".gz"))
-			(concat file ".gz"))
-		       ((file-exists-p (concat file ".z"))
-			(concat file ".z"))
-		       (t nil)))))))))
+		      v (if (file-directory-p file)
+                            (format "tar -cf - %s | gzip -c9 > %s.tar.gz"
+                                    (tramp-shell-quote-argument (file-name-nondirectory localname))
+                                    (tramp-shell-quote-argument localname))
+                          (concat "gzip -f "
+				  (tramp-shell-quote-argument localname))))
+		 (unless (file-directory-p file)
+                   (dired-remove-file file))
+		 (catch 'found nil
+                        (dolist (target (mapcar (lambda (suffix) (concat file suffix))
+                                                '(".tar.gz" ".gz" ".z")))
+                          (when (file-exists-p target)
+                            (throw 'found target)))))))))))
 
 (defun tramp-sh-handle-insert-directory
     (filename switches &optional wildcard full-directory-p)
diff --git a/test/lisp/net/tramp-tests.el b/test/lisp/net/tramp-tests.el
index 9f0264abc1..b0b61ad8f0 100644
--- a/test/lisp/net/tramp-tests.el
+++ b/test/lisp/net/tramp-tests.el
@@ -61,6 +61,7 @@
 (declare-function tramp-list-tramp-buffers "tramp-cmds")
 (declare-function tramp-method-out-of-band-p "tramp-sh")
 (declare-function tramp-smb-get-localname "tramp-smb")
+(declare-function dired-compress "dired-aux")
 (defvar ange-ftp-make-backup-files)
 (defvar auto-save-file-name-transforms)
 (defvar lock-file-name-transforms)
@@ -7079,6 +7080,36 @@ tramp--test-with-proper-process-name-and-buffer
 	  (ignore-errors (all-completions "tramp" (symbol-value x)))
 	  (ert-fail (format "Hook `%s' still contains Tramp function" x))))))
 
+(ert-deftest tramp-test47-dired-compress-file ()
+  "Check that Tramp (un)compress normal files."
+  (skip-unless (tramp--test-enabled))
+  (let ((default-directory tramp-test-temporary-file-directory)
+        (tmp-name (tramp--test-make-temp-name)))
+    (write-region "foo" nil tmp-name)
+    (dired default-directory)
+    (dired-revert)
+    (dired-goto-file tmp-name)
+    (should-not (dired-compress))
+    (should (string= (concat tmp-name ".gz") (dired-get-filename)))
+    (should-not (dired-compress))
+    (should (string= tmp-name (dired-get-filename)))
+    (delete-file tmp-name)))
+
+(ert-deftest tramp-test47-dired-compress-dir ()
+  "Check that Tramp (un)compress directories."
+  (skip-unless (tramp--test-enabled))
+  (let ((default-directory tramp-test-temporary-file-directory)
+        (tmp-name (tramp--test-make-temp-name)))
+    (make-directory tmp-name)
+    (dired default-directory)
+    (dired-revert)
+    (dired-goto-file tmp-name)
+    (should-not (dired-compress))
+    (should (string= (concat tmp-name ".tar.gz") (dired-get-filename)))
+    (should-not (dired-compress))
+    (should (string= tmp-name (dired-get-filename)))
+    (delete-directory tmp-name)))
+
 (defun tramp-test-all (&optional interactive)
   "Run all tests for \\[tramp].
 If INTERACTIVE is non-nil, the tests are run interactively."

--8<-----------------------------cut here---------------end--------------->8---
In GNU Emacs 28.0.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.24.5, cairo version 1.16.0)
Repository revision: 7abbf3779cf88c59a9c20526464974213db63fdb
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 20 Sep 2021 05:52:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 01:52:18 2021
Received: from localhost ([127.0.0.1]:40667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSCDy-0002D3-0J
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 01:52:18 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mSCDw-0002Cq-6V
 for control <at> debbugs.gnu.org; Mon, 20 Sep 2021 01:52:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pLL5YtbH3qZNNB1o/u75YwFFDz0BWqF5qvwdpMjYWHA=; b=lxFzf6DjSvFeufKz60HG+NHM2e
 rS6N4q4dh8zuqiagoK16SCTohKTl4TSBUAnntxjFhkCAttg3BKJXCM6/gf1FEbymVHtrgO3TyMzAX
 IBsi8s0aX7z2nGPb4/27dA6KIHRTyFt3j/mEilU0DO/OxlZdSqnBAu3f5uuqzuORdlDs=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mSCDo-0005rI-6o
 for control <at> debbugs.gnu.org; Mon, 20 Sep 2021 07:52:10 +0200
Date: Mon, 20 Sep 2021 07:52:07 +0200
Message-Id: <87zgs7kd4o.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #50581
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 50581 + patch quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 50581 + patch
quit






Last modified: Mon, 20 Sep 2021 06:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.